
%global meadversion 1.6.2
%global namedversion 1.6.2.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 2
%global namedversionrel redhat-5

%bcond_without mead

%{?scl:%scl_package joda-time}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/joda-time-eap6}
%{!?scl:%global javadir %{_javadir}/joda-time-eap6}

%define maven_version 1.6.2.redhat-5

Name:           %{?scl_prefix}joda-time%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Joda time
Group:          Development/Java

%if %with mead
Source100: joda-time-1.6.2.redhat-5-scm-sources.zip
Source102: joda-time-1.6.2.redhat-5-sources.jar
Source103: joda-time-1.6.2.redhat-5.jar
Source104: joda-time-1.6.2.redhat-5.pom
Source105: joda-time-1.6.2.redhat-5-project-sources.tar.gz
Source106: joda-time-1.6.2.redhat-5-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://joda-time.sourceforge.net
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}joda-time%{?eap}-%{namedversion}-%{release}-root

%description
Date and time library to replace JDK date handling.

%prep
%setup -q -n JodaTime -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/joda-time-%{namedversion}.jar %{buildroot}%{javadir}/joda-time-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/joda-time-%{namedversion}-sources.jar %{buildroot}%{javadir}/joda-time-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt ToDo.txt
%dir %{javadir}
%{javadir}/joda-time-%{namedversion}.jar
%{javadir}/joda-time.jar
%{javadir}/joda-time-%{namedversion}-sources.jar
%{javadir}/joda-time-sources.jar

%changelog
* Fri Nov 21 2014 Hui Wang <huwang@redhat.com> - 1.6.2-2.redhat_5.1
- Fix OSGI version for -eap6 package

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.6.2-1.redhat_4.1
- fix doc

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.6.2-1.redhat_4.1
- release

